const { heTeamID } = require('./teamIDs')
const { handlingEditor, user, admin, author } = require('./userData')
const Chance = require('chance')

const chance = new Chance()
const users = {
  admin: {
    type: 'user',
    username: 'admin',
    email: admin.email,
    password: 'test',
    admin: true,
    id: admin.id,
  },
  editorInChief: {
    type: 'user',
    username: chance.word(),
    email: chance.email(),
    password: 'password',
    admin: false,
    id: chance.guid(),
    firstName: chance.first(),
    lastName: chance.last(),
    affiliation: chance.company(),
    title: 'Mr',
    save: jest.fn(() => users.editorInChief),
    isConfirmed: false,
    editorInChief: true,
  },
  handlingEditor: {
    type: 'user',
    username: chance.word(),
    email: handlingEditor.email,
    password: 'password',
    admin: false,
    id: handlingEditor.id,
    firstName: handlingEditor.firstName,
    lastName: handlingEditor.lastName,
    teams: [heTeamID],
    save: jest.fn(() => users.handlingEditor),
    editorInChief: false,
    handlingEditor: true,
    title: 'Mr',
  },
  user: {
    type: 'user',
    username: chance.word(),
    email: user.email,
    password: 'password',
    admin: false,
    id: user.id,
    passwordResetToken: chance.hash(),
    firstName: user.firstName,
    lastName: user.lastName,
    affiliation: chance.company(),
    title: 'Mr',
    save: jest.fn(() => users.user),
    isConfirmed: false,
  },
  author: {
    type: 'user',
    username: chance.word(),
    email: author.email,
    password: 'password',
    admin: false,
    id: author.id,
    firstName: author.firstName,
    lastName: author.lastName,
    affiliation: chance.company(),
    title: 'Mr',
    save: jest.fn(() => users.author),
    isConfirmed: true,
  },
}

module.exports = users
