const helpers = require('../../helpers/helpers')
const teamHelper = require('../../helpers/Team')

module.exports = models => async (req, res) => {
  // TO DO: handle route  access with authsome
  const { collectionId, userId } = req.params
  try {
    const collection = await models.Collection.find(collectionId)
    const user = await models.User.find(userId)

    const team = await teamHelper.getTeamByGroupAndCollection(
      collectionId,
      'author',
      models.Team,
    )

    collection.authors = collection.authors.filter(
      author => author.userId !== userId,
    )
    await collection.save()
    await teamHelper.removeTeamMember(team.id, userId, models.Team)
    user.teams = user.teams.filter(userTeamId => team.id !== userTeamId)
    delete user.passwordResetToken
    await user.save()
    return res.status(200).json({})
  } catch (e) {
    const notFoundError = await helpers.handleNotFoundError(e, 'item')
    return res.status(notFoundError.status).json({
      error: notFoundError.message,
    })
  }
}
