const { authorTeamID } = require('./teamIDs')
const { author, submittingAuthor, admin } = require('./userData')
const Chance = require('chance')

const chance = new Chance()
const users = {
  admin: {
    type: 'user',
    username: 'admin',
    email: admin.email,
    password: 'password',
    admin: true,
    id: admin.id,
  },
  author: {
    type: 'user',
    username: 'author',
    email: author.email,
    password: 'password',
    admin: false,
    id: author.id,
    passwordResetToken: chance.hash(),
    firstName: author.firstName,
    lastName: author.lastName,
    affiliation: 'MIT',
    title: 'Mr',
    save: jest.fn(() => users.author),
    isConfirmed: false,
    teams: [authorTeamID],
  },
  submittingAuthor: {
    type: 'user',
    username: 'sauthor',
    email: submittingAuthor.email,
    password: 'password',
    admin: false,
    id: submittingAuthor.id,
    passwordResetToken: chance.hash(),
    firstName: submittingAuthor.firstName,
    lastName: submittingAuthor.lastName,
    affiliation: chance.company(),
    title: 'Mr',
    save: jest.fn(() => users.submittingAuthor),
    isConfirmed: false,
  },
}

module.exports = users
